#include <stdio.h>
#include <gtk/gtk.h>
#include "interface.h"
#include "support.h"
#include "callbacks.h"
#include "usb.h"



int main(int argc, char *argv[]) {
	// Initalize
 	gtk_init (&argc, &argv);

	// Create main window
	window1 = create_window1();
 	g_signal_connect ((gpointer)window1, "destroy", G_CALLBACK(gtk_main_quit), NULL);

	// usb init
	if (!open_connection()) {
		GtkMessageDialog *dlg = (GtkMessageDialog*)gtk_message_dialog_new(
									GTK_WINDOW(window1), 
									GTK_DIALOG_MODAL | GTK_DIALOG_DESTROY_WITH_PARENT,
									GTK_MESSAGE_ERROR,
									GTK_BUTTONS_OK,
									"Error: Can't open USB device.");
		gtk_dialog_run(GTK_DIALOG(dlg));
		gtk_widget_destroy(GTK_WIDGET(dlg));
		return 1;
	}
	
	update_configuration(TRUE, TRUE, FALSE, FALSE, FALSE);

	// Show window and run main loop
	gtk_widget_show(window1);
	gtk_main ();
	
	// finalize usb
	close_connection();
	
	return 0;
}

